Package com.microsoft.sqlserver.jdbc.dataclassification

## Class SensitivityClassification

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.dataclassification.SensitivityClassification

    public class SensitivityClassification
    extends java.lang.Object

This class retrieves Sensitivity Classification data as recieved from SQL Server for the active resultSet

### Constructor Summary

Constructors
`SensitivityClassification​(java.util.List<Label> labels, java.util.List<InformationType> informationTypes, java.util.List<ColumnSensitivity> columnSensitivity)` Constructor for `SensitivityClassification` Object

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<ColumnSensitivity>` `getColumnSensitivities()` Retrieves Column Sensitivity for this `SensitivityClassification` Object
`java.util.List<InformationType>` `getInformationTypes()` Retrieves Information Types for this `SensitivityClassification` Object
`java.util.List<Label>` `getLabels()` Retrieves Labels for this `SensitivityClassification` Object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SensitivityClassification

    public SensitivityClassification​(java.util.List<Label> labels,
                                     java.util.List<InformationType> informationTypes,
                                     java.util.List<ColumnSensitivity> columnSensitivity)

Constructor for `SensitivityClassification` Object

Parameters:
  `labels` - Labels as received from SQL Server
  `informationTypes` - Information Types as received from SQL Server
  `columnSensitivity` - Column Sensitivities as received from SQL Server

### Method Detail

#### getLabels

    public java.util.List<Label> getLabels()

Retrieves Labels for this `SensitivityClassification` Object

Returns:
  labels

#### getInformationTypes

    public java.util.List<InformationType> getInformationTypes()

Retrieves Information Types for this `SensitivityClassification` Object

Returns:
  informationTypes

#### getColumnSensitivities

    public java.util.List<ColumnSensitivity> getColumnSensitivities()

Retrieves Column Sensitivity for this `SensitivityClassification` Object

Returns:
  columnSensitivities